---
lang: en
title: 'API docs: context.genericinterceptororkey'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.genericinterceptororkey.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [GenericInterceptorOrKey](./context.genericinterceptororkey.md)

## GenericInterceptorOrKey type

Interceptor function or a binding key that resolves a generic interceptor function

**Signature:**

```typescript
export type GenericInterceptorOrKey<C extends Context = Context> = BindingAddress<GenericInterceptor<C>> | GenericInterceptor<C>;
```
**References:** [Context](./context.context.md)<!-- -->, [BindingAddress](./context.bindingaddress.md)<!-- -->, [GenericInterceptor](./context.genericinterceptor.md)


